import request from '@/api/request'

/**
 * 获取预付款
 */
export const apiBarList = (id) => request({
  method: 'GET',
  url: '/api/v1/user/prepare/order/list',
  params: {
    bar_id: id // 酒吧ID
  }
})

/**
 * 获取优惠券
 */
export const apiCouponList = (id) => request({
  method: 'GET',
  url: '/api/v1/user/coupon/list',
  params: {
    bar_id: id // 酒吧ID
  }
})

/**
 * 创建订座
 * @param postData 表单提交
 */
export const apiPlacePreOrder = (postData) => request({
  method: 'POST',
  url: '/api/v1/user/preorder/create',
  data: postData
})
